Subject: [bug#76044] Request for merging "qt-team" branch

From: Andreas Enge <[email-masked]>
Date: Mon, 5 May 2025 12:19:02 +0200

Hello,

Am Sun, May 04, 2025 at 03:16:49PM +0800 schrieb 宋文武:
> I have fixed kmime (by set LC_ALL=en_US.utf8) and kconfig (by upgrade to
> 6.13.0) locally.
> Will update the qt-team branch some minutes later, with KDE frameworks
> 6.13.0.

thanks for the updates!

I am still learning how QA works. At
   https://qa.guix.gnu.org/branch/qt-team
things look good, on x86_64 there are fewer packages failing on qt-team
than on master.
But when clicking through on the 471 failing packages in qt-team, I see at
   https://qa.guix.gnu.org/branch/qt-team/package-changes?x86_64-linux-change=broken&x86_64-linux-change=still-failing&x86_64-linux-change=unknown-to-failing&x86_64-linux-change=new-failing
that some packages are newly failing, which look important, such as
akonadi and kwin.

The build log for kwin shows a few failing tests:
   https://bordeaux.guix.gnu.org/build/6d95a42b-ce81-4e4a-a013-def0abd6a7c1/log

92% tests passed, 10 tests failed out of 130

Total Test time (real) = 445.23 sec

The following tests FAILED:
	 20 - kwin-testLockScreen (Failed)
	 33 - kwin-testTabBox (Failed)
	 36 - kwin-testKeyboardLayout (Failed)
	 60 - kwin-testQuickTiling (Failed)
	 62 - kwin-testDbusInterface (Failed)
	 73 - kwin-testVirtualKeyboardDBus (Failed)
	 74 - kwin-testGlobalShortcuts (Failed)
	 75 - kwin-testKWinBindings (Failed)
	 78 - kwin-testMinimizeAllScript (Failed)
	 87 - kwin-testLibinputDevice (Failed)
Errors while running CTest

Andreas